Results 1 to 8 of 8
  1. #1
    Join Date
    May 2012
    Posts
    36
    Plugin Contributions
    0

    Default Upgrading from 1.38a to 1.50

    I have my live site using 1.38a and read many posts about the old version will get hacked as time passes. Because of this, I created a testsite foler to install a 1.50 upgrade. I installed the same mods with the exception of:

    1.38a: Captcha installed (not in 1.5 upgrade)
    1.50: Testimonials Manager installed (did not use it in 1.38a)

    This is where I am confused as I want to have the catergories and products to have the same id #'s as the urls that are indexed by google would otherwise be wrong. I read this tutorial at http://www.zen-cart.com/content.php?...ith-phpmyadmin. It explained the backup and restore database options but wanted to know if I have to reinstall TEstimonials Manager, since it is in the database before I restore the old database.

    Hope that was not confusing.

  2. #2
    Join Date
    Jan 2004
    Posts
    59,764
    Blog Entries
    4
    Plugin Contributions
    133

    Default Re: Upgrading from 1.38a to 1.50

    Best to add your "new" addons *after* you've done your upgrade.

    And, since you're talking about upgrading a site that's presently live, you probably want to minimize the downtime, so I suggest you consider the thoughts I offer in this post:
    http://www.zen-cart.com/forum/showth...02#post1094802
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donations always welcome: www.zen-cart.com/donate

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  3. #3
    Join Date
    May 2012
    Posts
    36
    Plugin Contributions
    0

    Default Re: Upgrading from 1.38a to 1.50

    Quote Originally Posted by DrByte View Post
    Best to add your "new" addons *after* you've done your upgrade.

    And, since you're talking about upgrading a site that's presently live, you probably want to minimize the downtime, so I suggest you consider the thoughts I offer in this post:
    http://www.zen-cart.com/forum/showth...02#post1094802
    Thank you, I got read the steps but confused on couple of them as shouldn't I be just moving the subfolder over to the root? Its easy for me to start from scratch and install a fresh copy of 1.5 to my subfolder and then move over the database to the new subfolder install. After this, I would install all mods. Would I then be safe to move the whole subfolder to the root and move the old store from root to subfolder. All this keeping in mind to adjust the 2 config files. Would this work also

    So, simply upgrade your live shop (since it has the most current data) (THIS IS *AFTER* YOU'VE BUILT AND TESTED YOUR "TEST" 1.5.0 SITE IN PREPARATION):
    a) put your live shop down for maintenance
    b) backup your live database for safekeeping
    c) replace all the php files/folders/images/everything with the new files (except the configure.php files which stay the same)
    I thought the 2 config files for 1.5 had changes as a renaming of the admin folder automatically changes the config files. I know in 1.38a I had to manually change both sides, the folder and the config line

    d) run zc_install and choose database-upgrade
    e) re-do any admin settings relevant to the new setup (since you took notes while you did any additional customizing in your temporary 1.5 site)
    f) turn off down-for-maintenance
    g) do a test transaction to be sure checkout works
    h) Do another backup of everything for peace-of-mind.
    Take a deep breath.

  4. #4
    Join Date
    Jan 2004
    Posts
    59,764
    Blog Entries
    4
    Plugin Contributions
    133

    Default Re: Upgrading from 1.38a to 1.50

    Quote Originally Posted by grantopt View Post
    Thank you, I got read the steps but confused on couple of them as shouldn't I be just moving the subfolder over to the root?
    Well, you *could* do that, but then you'd lose all the data in your live store.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donations always welcome: www.zen-cart.com/donate

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  5. #5
    Join Date
    May 2012
    Posts
    36
    Plugin Contributions
    0

    Default Re: Upgrading from 1.38a to 1.50

    Quote Originally Posted by DrByte View Post
    Well, you *could* do that, but then you'd lose all the data in your live store.
    The only important data I need are the products, categories, options attributes, and reviews. I don't use the checkout system witin zencart but rather GCO, CBA and PP. So orders and customer info are not needed.

    So this leads to my initial question on can I follow the backup and restore database steps in the tutorial. Or is their an additional step I need to make this work.

  6. #6
    Join Date
    Jan 2004
    Posts
    59,764
    Blog Entries
    4
    Plugin Contributions
    133

    Default Re: Upgrading from 1.38a to 1.50

    But ... reviews are tied to customers and if you delete your current database and replace it a week or two later with the backup you made from before starting your upgrade, then you will have lost those reviews (and the customers whom you say are not important to you).

    Forgive me for being brief, but I've read and responded to too many posts of people wanting to do something different than what's been proven to work well.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donations always welcome: www.zen-cart.com/donate

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  7. #7
    Join Date
    May 2012
    Posts
    36
    Plugin Contributions
    0

    Default Re: Upgrading from 1.38a to 1.50

    Quote Originally Posted by DrByte View Post
    But ... reviews are tied to customers and if you delete your current database and replace it a week or two later with the backup you made from before starting your upgrade, then you will have lost those reviews (and the customers whom you say are not important to you).

    Forgive me for being brief, but I've read and responded to too many posts of people wanting to do something different than what's been proven to work well.
    Yes, reviews are important but I am going to have to manually input those into Clydes testimonial manager.

    I actually did the database upgrade and it went good as all products and such are moved over. Just to double check, in 1.5, I don't have to change anyting in the config files? The only thing I corrected was in the Admin-Config, Sessions and put /subfolder? I assume nothing else as 1.5 used coding that automatically changes the WS_Catalog and such path information.

    And when checking my database, I see 3 old database rows that are non-existent in 1.5 - Customer wishlist, and 2 no chex payment options. Can I just leave those to be and it will not interupt the store when I go live in a week. Or would I have to clean up the database to only have the appropriate tables that 1.5 uses.

    Sorry if this is a basic question, but first time upgrading as I was using 1.38a for a long time as I was used to it but didn't like the fact that it was vulnerable to threats and decided to follow the advice of yourself in other posts saying upgrading is a must.

  8. #8
    Join Date
    Jan 2004
    Posts
    59,764
    Blog Entries
    4
    Plugin Contributions
    133

    Default Re: Upgrading from 1.38a to 1.50

    Quote Originally Posted by grantopt View Post
    Just to double check, in 1.5, I don't have to change anyting in the config files? The only thing I corrected was in the Admin-Config, Sessions and put /subfolder? I assume nothing else as 1.5 used coding that automatically changes the WS_Catalog and such path information.
    Anyplace that your "/subfolder" stuff exists will need to be changed to reflect the new correct path.
    And, since the parts that autodetect don't even mention "/subfolder", there will of course be fewer places to change. But there will be places to change as a result of changing to another folder.
    Quote Originally Posted by grantopt View Post
    And when checking my database, I see 3 old database rows that are non-existent in 1.5 - Customer wishlist, and 2 no chex payment options. Can I just leave those to be and it will not interupt the store when I go live in a week. Or would I have to clean up the database to only have the appropriate tables that 1.5 uses.
    If you've never used those tables or don't wish to keep their content, then you don't need them. It's your choice what you want to do with them.
    Quote Originally Posted by grantopt View Post
    upgrading as I was using 1.38a for a long time as I was used to it but didn't like the fact that it was vulnerable to threats and decided to follow the advice of yourself in other posts saying upgrading is a must.
    Good choice.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donations always welcome: www.zen-cart.com/donate

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

 

 

Similar Threads

  1. Upgrade from 1.38a to 1.3.9d
    By mattyg30 in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 8 Jul 2010, 02:50 PM
  2. Upgrading from 1.38a to 1.39b, need original 1.38a
    By ryantakers in forum Upgrading from 1.3.x to 1.3.9
    Replies: 6
    Last Post: 27 May 2010, 05:29 AM
  3. Upgrade error from 1.36-1.38a
    By StuntsMovie.com in forum Upgrading from 1.3.x to 1.3.9
    Replies: 8
    Last Post: 29 Jan 2008, 08:28 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •